Subject: Re: Ftp-WG: Re: Last Call: Feature negotiation mechanism for the File Transfer Protocol to Proposed Standard

From: Paul Hethmon <[email-masked]>
Date: Thu, 8 Jan 1998 11:14:04 -0500

Addressed to: FTPEXT Working Group <[email-masked]>
              Chris Newman <[email-masked]>
              [email-masked]

** Reply to note from FTPEXT Working Group <[email-masked]> Thu, 8 Jan 1998 00:39:23 -0500

>   | I suggest:
>   | 
>   | feature-listing = "211-" *TCHAR CRLF
>   |                 *("211-" feature CRLF)
>   |                   "211" SP feature CRLF
>   
> That's certainly just a cosmetic change, and if the WG feels that being
> more similar to SMTP is worth making the change, I can certainly make
> that change.   For those who don't recall the draft, the two changes there
[delete]
> Further, since this is so trivial, I think it could be regarded as being
> a response to a last call comment which does not require any additional last
> call type stuff - though it would ultimately be for the ADs to make that
> decision.

I'm fine with this change also given AD approval. Either way is clear
and easy to parse.

>   
>   | feature         = feature-label *(SP feature-param)
>   | feature-param   = *VCHAR
>   
> However, this one is a technical change, and I don't think it is a good idea.

Agreed. Going to VCHAR would put an unnecessary restriction on the syntax.

Paul

-------------------------------------------------------------------------
Position Announcement: Needed hardworking person with organizational
skills, devotion to OS/2, plenty of spare time. No pay, no benefits.
Apply by self-nomination :-)
-------------------------------------------------------------------------
Paul Hethmon                                         [email-masked]
Inet.Mail Internet Mail Server                     http://www.hethmon.com
-------------------------------------------------------------------------
Author "Illustrated Guide to HTTP" http://www.browsebooks.com/Hethmon?882
-------------------------------------------------------------------------
Warpstock    --    Tune In! & Warp Out!    --    http://www.warpstock.org